

GO
---30/07/2013 11:08:34
SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS OFF
GO

IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[reg_ter_cargoContacto]') AND type in (N'P', N'PC'))DROP PROCEDURE [dbo].[reg_ter_cargoContacto]
GO
CREATE PROCEDURE [reg_ter_cargoContacto]
	@p_id INT
AS
BEGIN
	SELECT 	[id] AS [id],
		[uid] AS [uid],
		[eid] AS [eid],
		[id_usuario_modifico] AS [id_usuario_modifico],
		[id_usuario_creo] AS [id_usuario_creo],
		[fechaModificacion] AS [fechaModificacion],
		[fechaCreacion] AS [fechaCreacion],
		[active] AS [active],
		[cargoContacto] AS [cargoContacto],
		[cargoContacto_codigo] AS [cargoContacto_codigo]
	FROM [ter_cargoContacto]
	WHERE	(id = @p_id)

END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON
GO
----------------------
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON
GO
IF  EXISTS (SELECT * FROM sys.views WHERE object_id = OBJECT_ID(N'[dbo].[view_ter_cargoContacto]')) DROP VIEW [dbo].[view_ter_cargoContacto]
GO
CREATE  VIEW [view_ter_cargoContacto] AS
SELECT 	[ter_cargoContacto].[id] AS [id],
		[ter_cargoContacto].[uid] AS [uid],
		[ter_cargoContacto].[eid] AS [eid],
		[ter_cargoContacto].[id_usuario_modifico] AS [id_usuario_modifico],
		[ter_cargoContacto].[id_usuario_creo] AS [id_usuario_creo],
		[ter_cargoContacto].[fechaModificacion] AS [fechaModificacion],
		[ter_cargoContacto].[fechaCreacion] AS [fechaCreacion],
		[ter_cargoContacto].[active] AS [active],
		[ter_cargoContacto].[cargoContacto] AS [cargoContacto],
		[ter_cargoContacto].[cargoContacto_codigo] AS [cargoContacto_codigo],
		[empresaCodigo].[empresa] As [multiempresa]
FROM [ter_cargoContacto]
	INNER JOIN [seg_usuario] AS [seg_usuario_modifico] ON [seg_usuario_modifico].id=[ter_cargoContacto].[id_usuario_modifico]
	INNER JOIN [seg_usuario] AS [seg_usuario_creo] ON [seg_usuario_creo].id=[ter_cargoContacto].[id_usuario_creo]
	INNER JOIN [gen_empresa] AS empresaCodigo ON [ter_cargoContacto].eid = [empresaCodigo].[codigo] and empresaCodigo.active=1
WHERE [ter_cargoContacto].active=1
GO
SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS OFF
GO

IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[sel_ter_cargoContactosXusuario_modifico]') AND type in (N'P', N'PC'))DROP PROCEDURE [dbo].[sel_ter_cargoContactosXusuario_modifico]
GO
CREATE PROCEDURE [sel_ter_cargoContactosXusuario_modifico]
	@p_id_usuario_modifico INT
AS
BEGIN
	SELECT * 
	FROM [view_ter_cargoContacto]
	WHERE ([id_usuario_modifico]= @p_id_usuario_modifico)
END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON
GO
----------------------
SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS OFF
GO

IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[sel_ter_cargoContactosXusuario_creo]') AND type in (N'P', N'PC'))DROP PROCEDURE [dbo].[sel_ter_cargoContactosXusuario_creo]
GO
CREATE PROCEDURE [sel_ter_cargoContactosXusuario_creo]
	@p_id_usuario_creo INT
AS
BEGIN
	SELECT * 
	FROM [view_ter_cargoContacto]
	WHERE ([id_usuario_creo]= @p_id_usuario_creo)
END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON
GO
----------------------
SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS OFF
GO

IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[sel_ter_cargoContactos]') AND type in (N'P', N'PC'))DROP PROCEDURE [dbo].[sel_ter_cargoContactos]
GO
CREATE PROCEDURE [sel_ter_cargoContactos]
	
	@p_filtro as varchar (8000) = '1=1',
	@p_orden as varchar (8000) = 'id',
	@p_campos as varchar (8000) = '*' AS
BEGIN
exec ('SELECT '+ @p_campos +
' FROM [view_ter_cargoContacto]
WHERE (' + @p_filtro + ') ORDER BY ' + @p_orden)
END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON
GO
----------------------

SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS OFF
GO

IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[lis_ter_cargoContactos]') AND type in (N'P', N'PC'))DROP PROCEDURE [dbo].[lis_ter_cargoContactos]
GO
CREATE PROCEDURE [lis_ter_cargoContactos]
	AS
BEGIN
	SELECT id AS id,
[cargoContacto] AS [ter_cargoContacto]
	FROM [ter_cargoContacto]
	WHERE active = 1
END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON
GO
----------------------
SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS OFF
GO

IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[upd_ter_cargoContacto]') AND type in (N'P', N'PC'))DROP PROCEDURE [dbo].[upd_ter_cargoContacto]
GO
CREATE PROCEDURE [upd_ter_cargoContacto]
	@p_id int = null,
		@p_uid varchar(500) = null,
		@p_eid varchar(50) = null,
		@p_id_usuario_modifico int = null,
		@p_id_usuario_creo int = null,
		@p_fechaCreacion smalldatetime = null,
		@p_cargoContacto varchar(300) = null,
		@p_cargoContacto_codigo varchar(100) = null
AS
BEGIN
		UPDATE [ter_cargoContacto]
		SET	[uid] = isnull(@p_uid,[uid]),
			[eid] = isnull(@p_eid,[eid]),
			[id_usuario_modifico] = isnull(@p_id_usuario_modifico,[id_usuario_modifico]),
			[id_usuario_creo] = isnull(@p_id_usuario_creo,[id_usuario_creo]),
			[fechaModificacion] = GETDATE(),
			[cargoContacto] = isnull(@p_cargoContacto,[cargoContacto]),
			[cargoContacto_codigo] = isnull(@p_cargoContacto_codigo,[cargoContacto_codigo])
		WHERE (id = @p_id)
END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON
GO
----------------------
SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS OFF
GO

IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[ins_ter_cargoContacto]') AND type in (N'P', N'PC'))DROP PROCEDURE [dbo].[ins_ter_cargoContacto]
GO
CREATE PROCEDURE [ins_ter_cargoContacto]
	@p_uid varchar(500),
		@p_eid varchar(50),
		@p_id_usuario_modifico int,
		@p_id_usuario_creo int,
		@p_cargoContacto varchar(300),
		@p_cargoContacto_codigo varchar(100)
AS
BEGIN
	DECLARE @v_id int
		INSERT INTO [ter_cargoContacto]
			([uid],
			[eid],
			[id_usuario_modifico],
			[id_usuario_creo],
			[fechaModificacion],
			[fechaCreacion],
			[cargoContacto],
			[cargoContacto_codigo])
		VALUES(	@p_uid,
			@p_eid,
			@p_id_usuario_modifico,
			@p_id_usuario_creo,
			GETDATE(),
			GETDATE(),
			@p_cargoContacto,
			@p_cargoContacto_codigo)
		SET @v_id = scope_identity()
UPDATE [ter_cargoContacto] set [uid] = [uid] + '_' + convert(varchar(20),@v_id) where [id]=@v_id
SELECT @v_id as id
RETURN @v_id
END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON
GO
----------------------
SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS OFF
GO

IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[act_ter_cargoContacto]') AND type in (N'P', N'PC'))DROP PROCEDURE [dbo].[act_ter_cargoContacto]
GO
CREATE PROCEDURE [act_ter_cargoContacto]
	@p_active BIT,
	@p_id INT,
@p_id_usuario_modifico int = null
AS
BEGIN
	UPDATE [ter_cargoContacto]
	SET active=@p_active,
	[id_usuario_modifico] = isnull(@p_id_usuario_modifico,[id_usuario_modifico]),
	[fechaModificacion] = GETDATE()
	WHERE	(id = @p_id)
END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON
GO
----------------------

SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS OFF
GO

IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[reg_ter_cargoContacto_m]') AND type in (N'P', N'PC'))DROP PROCEDURE [dbo].[reg_ter_cargoContacto_m]
GO
CREATE PROCEDURE [reg_ter_cargoContacto_m]
	@p_id INT,
	@p_eid as varchar(50) = ''
AS
BEGIN
	SELECT 	[id] AS [id],
		[uid] AS [uid],
		[eid] AS [eid],
		[id_usuario_modifico] AS [id_usuario_modifico],
		[id_usuario_creo] AS [id_usuario_creo],
		[fechaModificacion] AS [fechaModificacion],
		[fechaCreacion] AS [fechaCreacion],
		[active] AS [active],
		[cargoContacto] AS [cargoContacto],
		[cargoContacto_codigo] AS [cargoContacto_codigo]
	FROM [ter_cargoContacto]
	WHERE	(id = @p_id)
	AND	(eid LIKE @p_eid+'%')

END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON
GO
----------------------
SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS OFF
GO

IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[sel_ter_cargoContactosXusuario_modifico_m]') AND type in (N'P', N'PC'))DROP PROCEDURE [dbo].[sel_ter_cargoContactosXusuario_modifico_m]
GO
CREATE PROCEDURE [sel_ter_cargoContactosXusuario_modifico_m]
	@p_id_usuario_modifico INT,
	@p_eid as varchar(50) = ''
AS
BEGIN
	SELECT *
	FROM [view_ter_cargoContacto]
	WHERE ([id_usuario_modifico]= @p_id_usuario_modifico)
	AND	(eid LIKE @p_eid+'%')
END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON
GO
----------------------
SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS OFF
GO

IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[sel_ter_cargoContactosXusuario_creo_m]') AND type in (N'P', N'PC'))DROP PROCEDURE [dbo].[sel_ter_cargoContactosXusuario_creo_m]
GO
CREATE PROCEDURE [sel_ter_cargoContactosXusuario_creo_m]
	@p_id_usuario_creo INT,
	@p_eid as varchar(50) = ''
AS
BEGIN
	SELECT *
	FROM [view_ter_cargoContacto]
	WHERE ([id_usuario_creo]= @p_id_usuario_creo)
	AND	(eid LIKE @p_eid+'%')
END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON
GO
----------------------
SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS OFF
GO

IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[sel_ter_cargoContactos_m]') AND type in (N'P', N'PC'))DROP PROCEDURE [dbo].[sel_ter_cargoContactos_m]
GO
CREATE PROCEDURE [sel_ter_cargoContactos_m]
	@p_eid as varchar (50)='',
	@p_filtro as varchar (8000) = '1=1',
	@p_orden as varchar (8000) = 'id',
	@p_campos as varchar (8000) = '*' AS
BEGIN
exec ('SELECT '+ @p_campos +
' FROM [view_ter_cargoContacto]
WHERE  (eid like '''+@p_eid+'%'+''' ) AND (' + @p_filtro + ') ORDER BY ' + @p_orden)
END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON
GO
----------------------

SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS OFF
GO

IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[lis_ter_cargoContactos_m]') AND type in (N'P', N'PC'))DROP PROCEDURE [dbo].[lis_ter_cargoContactos_m]
GO
CREATE PROCEDURE [lis_ter_cargoContactos_m]
	@p_eid as varchar(50) = ''
AS
BEGIN
	SELECT id AS id,
[cargoContacto] AS [ter_cargoContacto]
	FROM [ter_cargoContacto]
	WHERE active = 1
	AND	(eid LIKE @p_eid+'%')
END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON
GO
----------------------

SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS OFF
GO

IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[aud_ter_cargoContacto]') AND type in (N'P', N'PC'))DROP PROCEDURE [dbo].[aud_ter_cargoContacto]
GO
CREATE PROCEDURE [aud_ter_cargoContacto]
	@p_filtro as varchar (8000) = '1=1'
AS
BEGIN
exec(	'SELECT [ter_cargoContacto].id as id_tabla,
	[ter_cargoContacto].id_usuario_modifico as id_usuario_modifico,
	[ter_cargoContacto].id_usuario_creo as id_usuario_creo,
	[ter_cargoContacto].fechaModificacion as fechaModificacion,
	[ter_cargoContacto].fechaCreacion as fechaCreacion,
	[ter_cargoContacto].active as active,
	[ter_cargoContacto].[cargoContacto] as campoPrincipal,
	[seg_usuario_creo].usuario as usuarioCreo,
	[seg_usuario_modifico].usuario as usuarioModifico

	FROM [ter_cargoContacto]
	INNER JOIN [seg_usuario] AS [seg_usuario_modifico] ON [seg_usuario_modifico].id=[ter_cargoContacto].[id_usuario_modifico]
	INNER JOIN [seg_usuario] AS [seg_usuario_creo] ON [seg_usuario_creo].id=[ter_cargoContacto].[id_usuario_creo]
	where ' + @p_filtro)
END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON
GO
----------------------
print 'ter_cargoContacto'
--------------------------------


